ClientMessages (Mule ESB 2.2.1 API)
Keywords: org.mule.module.client.i18n.ClientMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.client.i18n
Class ClientMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.module.client.i18n.ClientMessages

    public class ClientMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`ClientMessages()`

Method Summary
`static Message` | `failedToDeserializeHandshakeFromServer()`
`static Message` | `failedToDispatchActionNoResponseFromServer(String action, int timeout)`
`static Message` | `failedToDispatchClientEvent()`
`static Message` | `managerIsAlreadyConfigured()`
`static Message` | `noArgsForProxy()`
`static Message` | `unsupportedServerWireForat(String wireFormat)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientMessages

    public ClientMessages()

Method Detail

### failedToDispatchClientEvent

    public static Message failedToDispatchClientEvent()

### noArgsForProxy

    public static Message noArgsForProxy()

### managerIsAlreadyConfigured

    public static Message managerIsAlreadyConfigured()

### unsupportedServerWireForat

    public static Message unsupportedServerWireForat(String wireFormat)

### failedToDispatchActionNoResponseFromServer

    public static Message failedToDispatchActionNoResponseFromServer(String action,
                                                                     int timeout)

### failedToDeserializeHandshakeFromServer

    public static Message failedToDeserializeHandshakeFromServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.